MagickCore: splay-tree.h File Reference

# splay-tree.h File Reference

Go to the source code of this file.

## Typedefs
typedef struct _SplayTreeInfo | SplayTreeInfo
## Functions
MagickExport MagickBooleanType | AddValueToSplayTree (SplayTreeInfo *, const void *, const void *)
MagickExport MagickBooleanType | DeleteNodeByValueFromSplayTree (SplayTreeInfo *, const void *)
MagickExport MagickBooleanType | DeleteNodeFromSplayTree (SplayTreeInfo *, const void *)
MagickExport int | CompareSplayTreeString (const void *, const void *)
MagickExport int | CompareSplayTreeStringInfo (const void *, const void *)
MagickExport SplayTreeInfo * | CloneSplayTree (SplayTreeInfo *, void *(*)(void *), void *(*)(void *))
MagickExport SplayTreeInfo ** | DestroySplayTree (SplayTreeInfo *)
MagickExport SplayTreeInfo *** | NewSplayTree (int(*)(const void *, const void *), void *(*)(void *), void *(*)(void *))
MagickExport unsigned long | GetNumberOfNodesInSplayTree (const SplayTreeInfo *)
MagickExport void * | GetNextKeyInSplayTree (SplayTreeInfo *)
MagickExport void ** | GetNextValueInSplayTree (SplayTreeInfo *)
MagickExport void *** | GetValueFromSplayTree (SplayTreeInfo *, const void *)
MagickExport void **** | RemoveNodeByValueFromSplayTree (SplayTreeInfo *, const void *)
MagickExport void ***** | RemoveNodeFromSplayTree (SplayTreeInfo *, const void *)
MagickExport void ***** | ResetSplayTreeIterator (SplayTreeInfo *)

## Typedef Documentation

typedef struct _SplayTreeInfo SplayTreeInfo

## Function Documentation

MagickExport MagickBooleanType AddValueToSplayTree | ( | SplayTreeInfo * | ,
|  | const void * | ,
|  | const void * |  |
| ) |  |  |

MagickExport SplayTreeInfo* CloneSplayTree | ( | SplayTreeInfo * | ,
|  | void * | (*)(void *),
|  | void * | (*)(void *) |
| ) |  |  |

MagickExport int CompareSplayTreeString | ( | const void * | ,
|  | const void * |  |
| ) |  |  |

MagickExport int CompareSplayTreeStringInfo | ( | const void * | ,
|  | const void * |  |
| ) |  |  |

MagickExport MagickBooleanType DeleteNodeByValueFromSplayTree | ( | SplayTreeInfo * | ,
|  | const void * |  |
| ) |  |  |

MagickExport MagickBooleanType DeleteNodeFromSplayTree | ( | SplayTreeInfo * | ,
|  | const void * |  |
| ) |  |  |

MagickExport SplayTreeInfo* * DestroySplayTree | ( | SplayTreeInfo * |  | ) |

MagickExport void* GetNextKeyInSplayTree | ( | SplayTreeInfo * |  | ) |

MagickExport void* * GetNextValueInSplayTree | ( | SplayTreeInfo * |  | ) |

MagickExport unsigned long GetNumberOfNodesInSplayTree | ( | const SplayTreeInfo * |  | ) |

MagickExport void* * * GetValueFromSplayTree | ( | SplayTreeInfo * | ,
|  | const void * |  |
| ) |  |  |

MagickExport SplayTreeInfo* * * NewSplayTree | ( | int(*)(const void *, const void *) | ,
|  | void * | (*)(void *),
|  | void * | (*)(void *) |
| ) |  |  |

MagickExport void* * * * RemoveNodeByValueFromSplayTree | ( | SplayTreeInfo * | ,
|  | const void * |  |
| ) |  |  |

MagickExport void* * * * * RemoveNodeFromSplayTree | ( | SplayTreeInfo * | ,
|  | const void * |  |
| ) |  |  |

MagickExport void* * * * * ResetSplayTreeIterator | ( | SplayTreeInfo * |  | ) |